
//$(document).ready(function () {
//    debugger;
//    LoadTable();


//})

//function LoadTable() {
//    $('#policy_master_table_body')..empty();
    
//    var policy_master_table = {
//        Dml_Indicator: "S"
//    };

//    $.ajax({
//        type: "POST",
//        url: '/DoctorPayout/PolicyCreation',
//        contentType: 'application/json',
//        data: JSON.stringify(policy_master_table),
//        success: function (response) {
//            debugger;
//            var policytable = JSON.parse(response);
//            if (policytable) {
//                console.log(response);

//                policytable = policytable.data.Table;
//                var $policy_master_table_body = $("#policy_master_table_body");
//                $policy_master_table_body.empty();

//                for (var i = 0; i < policytable.length; i++) {
//                    var row = "<tr>" +
//                        "<td>" + (i + 1) + "</td>" +
//                        "<td>" + policytable[i].policy_name + "</td>" +
//                        "<td>" + policytable[i].branch_name + "</td>" +
//                        "<td>" + policytable[i].HOSPSharePer + "</td>" +
//                        "<td>" + policytable[i].DOCSharePer + "</td>" +
//                        "<td>" + policytable[i].actionname + "</td>" +
//                        "</tr>";
//                    $policy_master_table_body.append(row);
//                }
//            } else {
//                console.error('Invalid response format:', response);
//            }
//        },
//        error: function (error) {
//            console.error('AJAX error:', error);
//        }
//    });
//}


$(document).ready(function () {
    debugger;
    LoadTable();
})

function LoadTable() {
    $('#policy_master_table_body').empty(); 

    var policy_master_table = {
        Dml_Indicator: "S"
    };

    $.ajax({
        type: "POST",
        url: '/DoctorPayout/PolicyCreation',
        contentType: 'application/json',
        data: JSON.stringify(policy_master_table),
        success: function (response) {
            debugger;
            var policytable = JSON.parse(response);
            if (policytable) {
                console.log(response);
                $('policy_master_table tbody').empty();
                $('policy_master_table').dataTable().fnClearTable();
                $('policy_master_table').dataTable().fnDraw();
                $('policy_master_table').dataTable().fnDestroy();
                policytable = policytable.data.Table;
                var $policy_master_table_body = $("#policy_master_table_body");
                $policy_master_table_body.empty();

                for (var i = 0; i < policytable.length; i++) {
                    var row = "<tr>" +
                        "<td>" + (i + 1) + "</td>" +
                        "<td>" + policytable[i].policy_name + "</td>" +
                        "<td>" + policytable[i].branch_name + "</td>" +
                        "<td>" + policytable[i].HOSPSharePer + "</td>" +
                        "<td>" + policytable[i].DOCSharePer + "</td>" +
                        //"<td>" + policytable[i].actionname + "</td>" +
                         "<td></td>" +
                        "</tr>";
                    $policy_master_table_body.append(row);
                   
                }
                datatable('policy_master_table', 'policy_master_table', 'Legal');
            } else {
                console.error('Invalid response format:', response);
            }
        },
        error: function (error) {
            console.error('AJAX error:', error);
        }
    });
}

